set -a

mkdir -p frames

TIME=37.5

ffmpeg \
    -i 'doom-speedrun.webm' \
    -t $TIME \
    -r 60000/1001 \
    -vf 'scale=256:192' \
    -an \
    -y 'frames/doom-%04d.png'

ffmpeg \
    -i 'doom-speedrun.webm' \
    -t $TIME \
    -vn \
    -ac 1 \
    -ar 15734 \
    -acodec pcm_u8 \
    -y 'doom-audio.wav'
